io.vertx.rxjava.ext.web.templ.rocker

## Class RockerTemplateEngine

- java.lang.Object
- - io.vertx.rxjava.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava.ext.web.templ.rocker.RockerTemplateEngine

-     public class RockerTemplateEngine
      extends TemplateEngine

  A template engine that uses the Rocker library.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RockerTemplateEngine>` | `__TYPE_ARG`
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RockerTemplateEngine(Object delegate)`
    `RockerTemplateEngine(RockerTemplateEngine delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RockerTemplateEngine` | `create()`
    `boolean` | `equals(Object o)`
    `RockerTemplateEngine` | `getDelegate()`
    `int` | `hashCode()`
    `static RockerTemplateEngine` | `newInstance(RockerTemplateEngine arg)`
    `RockerTemplateEngine` | `setExtension(String extension)` Deprecated.
    `RockerTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.ext.web.common.template.TemplateEngine

      `isCachingEnabled, newInstance, render, render, renderObservable, renderObservable, rxRender, rxRender`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RockerTemplateEngine> __TYPE_ARG

    - #### DEFAULT_MAX_CACHE_SIZE

          public static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          public static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RockerTemplateEngine

          public RockerTemplateEngine(RockerTemplateEngine delegate)

    - #### RockerTemplateEngine

          public RockerTemplateEngine(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public RockerTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static RockerTemplateEngine create()

      Returns:
        the engine

    - #### setExtension

          @Deprecated
          public RockerTemplateEngine setExtension(String extension)

      Deprecated.
      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          public RockerTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

    - #### newInstance

          public static RockerTemplateEngine newInstance(RockerTemplateEngine arg)

Copyright © 2021 Eclipse. All rights reserved.